Skip Menu |
 

From: tlyu@mit.edu
Subject: SVN Commit

Code introduced in krb5-1.7 can cause an assertion failure if a
KDC-REQ is internally inconsistent, specifically if the ASN.1 tag
doesn't match the msg_type field. Thanks to Emmanuel Bouillon (NATO
C3 Agency) for discovering and reporting this vulnerability.

https://github.com/krb5/krb5/commit/aef4a62723bc1e4cdcdb15c130729d3e130426fd
Commit By: tlyu
Revision: 23724
Changed Files:
U trunk/src/kdc/do_as_req.c
U trunk/src/kdc/do_tgs_req.c
U trunk/src/kdc/fast_util.c
From: tlyu@mit.edu
Subject: SVN Commit

pull up r23724 from trunk

------------------------------------------------------------------------
r23724 | tlyu | 2010-02-16 17:10:17 -0500 (Tue, 16 Feb 2010) | 10 lines

ticket: 6662
subject: MITKRB5-SA-2010-001 CVE-2010-0283 KDC denial of service
tags: pullup
target_version: 1.8

Code introduced in krb5-1.7 can cause an assertion failure if a
KDC-REQ is internally inconsistent, specifically if the ASN.1 tag
doesn't match the msg_type field. Thanks to Emmanuel Bouillon (NATO
C3 Agency) for discovering and reporting this vulnerability.

https://github.com/krb5/krb5/commit/2124696b44e8812548a161905bce2e80f146b90c
Commit By: tlyu
Revision: 23725
Changed Files:
U branches/krb5-1-8/src/kdc/do_as_req.c
U branches/krb5-1-8/src/kdc/do_tgs_req.c
U branches/krb5-1-8/src/kdc/fast_util.c